Index: src/sdk/filemanager.cpp
===================================================================
--- src/sdk/filemanager.cpp	(revision 5716)
+++ src/sdk/filemanager.cpp	(working copy)
@@ -26,6 +26,7 @@
 
 LoaderBase::~LoaderBase()
 {
+    WaitReady();
     delete[] data;
 };
 
Index: src/sdk/editormanager.cpp
===================================================================
--- src/sdk/editormanager.cpp	(revision 5716)
+++ src/sdk/editormanager.cpp	(working copy)
@@ -421,11 +421,7 @@
 
 cbEditor* EditorManager::Open(const wxString& filename, int pos, ProjectFile* data)
 {
-    LoaderBase* fileLdr = Manager::Get()->GetFileManager()->Load(filename);
-    if (!fileLdr)
-        return 0;
-
-    return Open(fileLdr, filename, pos, data);
+    return Open(NULL, filename, pos, data);
 }
 
 cbEditor* EditorManager::Open(LoaderBase* fileLdr, const wxString& filename, int pos,ProjectFile* data)
@@ -460,13 +456,18 @@
 
     if (!ed)
     {
-        ed = new cbEditor(m_pNotebook, fileLdr, fname, m_Theme);
-        if (ed->IsOK())
-            AddEditorBase(ed);
-        else
+        if (!fileLdr)
+            fileLdr = Manager::Get()->GetFileManager()->Load(filename);
+        if (fileLdr)
         {
-            ed->Destroy();
-            ed = NULL;
+            ed = new cbEditor(m_pNotebook, fileLdr, fname, m_Theme);
+            if (ed->IsOK())
+                AddEditorBase(ed);
+            else
+            {
+                ed->Destroy();
+                ed = NULL;
+            }
         }
     }
 